﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition; // MEF - Ajouter la DLL dans les références !
using MEFInterface; // interface des plugins (il peut y en avoir plusieurs)

namespace ModuleAddition
{

    [Export(typeof(ICompute))] // exporter la classe vue sous l'angle de l'interface partagée
    public class Addition : ICompute
    {
        // Réalise l'addition de deux doubles.
        public double Compute(double x, double y)
        {
            return x + y;
        }

        public string OperationName { get { return "Addition"; } }

    }
}
