﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.Composition;
using MEFInterface;

namespace ModuleMultiply
{
    [Export(typeof(ICompute))] // exporter la classe vue sous l'angle de l'interface partagée
    public class Multiply : ICompute
    {
        // Réalise l'addition de deux doubles.
        public double Compute(double x, double y)
        {
            return x * y;
        }

        public string OperationName { get { return "Multiplication"; } }
    }
}
